@echo off
rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa Webserver
set PORT=8090
set RULE_NAME="Kassa WEB-Server Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow protocol=TCP localport=%PORT%
)

rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa Handy Drucker
set PORT=24157
set RULE_NAME="Kassa HandyDrucker Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=out action=allow protocol=UDP localport=%PORT%
)

pause
