@echo off
rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa Signaturserver
set PORT=24154
set RULE_NAME="Kassa Server Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow protocol=TCP localport=%PORT%
)

rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa KundenDisplay
set PORT=24155
set RULE_NAME="Kassa KundenDisplay Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=out action=allow protocol=UDP localport=%PORT%
)

rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa CreditDisplay
set PORT=24156
set RULE_NAME="Kassa CreditDisplay Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=out action=allow protocol=UDP localport=%PORT%
)

rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa Webserver
set PORT=8080
set RULE_NAME="Kassa WEB-Server Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow protocol=TCP localport=%PORT%
)

rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa Webserver Port 80
set PORT=80
set RULE_NAME="Kassa WEB-Server Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow protocol=TCP localport=%PORT%
)

rem ----------------------------------------------------------------

echo Oeffne Firewall fr Kassa Handy Drucker
set PORT=24157
set RULE_NAME="Kassa HandyDrucker Port %PORT%"

netsh advfirewall firewall show rule name= %RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Die Regel %RULE_NAME% existiert bereits
) else (
    echo Rule %RULE_NAME% does not exist. Creating...
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=out action=allow protocol=UDP localport=%PORT%
)

pause
